




















clear all;
close all;

global NbStimTraining_n SegmentsToPlay_m ClassToKeep_m NumSubject DesignMatrix_m TOTAL_SUBJECTs_n  Trial_n  datetosave_str   window01  NbParts Score_pc window1 window2 fs Nb_stimuli_part Increment  Delta  std_segment Part_n

%% MAIN PARAMETERS

NbStimTraining_n=20;
Nb_stimuli_part=60;
NbParts=6;

fs=44100;
Increment=0;
TOTAL_SUBJECTs_n=30;

Score_pc=0;
ClassToKeep_m=[];
SegmentsToPlay_m=[];


%% ENTER SUBJECT NUMBER

fct_numSubj;
% wait that the figure 'window01' is closed to continue...
waitfor(window01);
disp(['ok num Subj' NumSubject]);

% test to check that the wavfiles are prepared

%% LOAD DESIGN MATRIX

load(['./Stimuli/DesignMatrix_Fir_Sub' NumSubject '.mat']);

if size(DesignMatrix_m,1) == Nb_stimuli_part*NbParts + NbStimTraining_n
else
  disp('the number of wav files dont match');
  pause;
end


%% SAVE THE DATE :-)
%datetosave_str=datestr(datetime('now'));
datetosave_str = date; % for windows


%% PROCEDURE : 2AFC with Molecular Segmented stimuli

% Training
Part_n=0;
Trial_n=1;

Interface_exp_fir ;
waitfor(window1);
disp('ok Training is done');
    
% Main part    
Part_n=1;
Trial_n=1;

for ii=1:NbParts
    Interface_exp_fir ;
    waitfor(window1);
    disp('ok Next Part');
    Part_n=Part_n + 1; 
end


%% END

fct_end;
% wait that the figure 'window2' is closed to continue...
waitfor(window2);
disp('ok finished');



