data<-results
summary(data)

#data<- subset(data, AngerLevel > 1 & AngerLevel < 3 )
#data<- subset(data, AngerLevel == 3)
#data<- subset(data, Pitch == 3 )
#data<- subset(data, SexSub == 2 )
#data<- subset(data,GroupMetal==1)
#data<- subset(data, NumSub == 3 | NumSub == 6  | NumSub == 8 | NumSub == 9 | NumSub == 10 | NumSub == 11 | NumSub == 14 | NumSub == 15 | NumSub == 16 | NumSub == 20 | NumSub == 23)
#data<- subset(data, NumSub == 1 | NumSub == 2  | NumSub == 4 | NumSub == 5 | NumSub == 7 | NumSub == 12 | NumSub == 13 | NumSub == 17 | NumSub == 18 | NumSub == 19 | NumSub == 21 | NumSub == 22)
#data<- subset(data, Context == 0 | Context == 3 )


Subject<-data$NumSub
Gender<-data$Gender
Context<-data$Context
AngerLevel<-data$AngerLevel
Pitch<-data$Pitch
SliArou<-data$SliArou
SliVal<-data$SliVal
#ScoreMetal<-data$ScoreMetal
#GroupMetal<-data$GroupMetal
#SexSub<-data$SexSub

fSubject<-as.factor(data$NumSub)
fGender<-as.factor(data$Gender)
fContext<-as.factor(data$Context)
fAngerLevel<-as.factor(data$AngerLevel)
fPitch<-as.factor(data$Pitch)
#fGroupMetal<-as.factor(data$GroupMetal)
#fSexSub<-as.factor(data$SexSub)
SliVal<-as.numeric(data$SliVal)
SliArou<-as.numeric(data$SliVal)

# ANALYSE 
#data=data.frame(fSexSub, ScoreMetal, fGroupMetal, fSubject, fGender, fContext, fAngerLevel, fPitch, SliArou, SliVal)
data=data.frame( fSubject, fGender, fContext, fAngerLevel, fPitch, SliArou, SliVal)

#anova1 = aov(SliArou~(fGender*fContext*fAngerLevel*fPitch)+Error(fSubject/(fGender*fContext*fAngerLevel*fPitch)),data) 
#summary(anova1)
#anova2 = aov(SliVal~(fGender*fContext*fAngerLevel*fPitch)+Error(fSubject/(fGender*fContext*fAngerLevel*fPitch)),data) 
#summary(anova2)


library(ez)
library(car)

anova_1=ezANOVA(data, dv=.(SliVal), wid=.(fSubject), within=.(fContext,fAngerLevel), type=2, detailed=TRUE, return_aov=TRUE)
#anova_1=ezANOVA(data, dv=.(SliVal), wid=.(fSubject), within=.(fContext, fAngerLevel),  type=2, detailed=TRUE, return_aov=TRUE)
#anova_1=ezANOVA(data, dv=.(SliVal), wid=.(fSubject), within=.(fAngerLevel, fContext), type=2, detailed=TRUE, return_aov=TRUE)

print(anova_1)


#ezPlot(data, dv = .(SliVal),wid=.(fSubject), within=.(fContext), between=.(fGroupMetal), x = fContext)

ezPlot(data, dv = .(SliVal),wid=.(fSubject), between=.(fContext), x = fContext)









Y <- cbind(SliArou,SliVal)
fit <- manova(Y ~(fGender*fContext*fAngerLevel*fPitch)+Error(fSubject/(fGender*fContext*fAngerLevel*fPitch)),data)
summary(fit, test="Pillai")
summary.aov(fit, test="Pillai")


