data<-results_Mars2018
summary(data)


Subject<-data$NumSub
Context<-data$Context
AngerLevel<-data$AngerLevel
SliArou<-data$SliArou
SliVal<-data$SliVal


fSubject<-as.factor(data$NumSub)
fContext<-as.factor(data$Context)
fAngerLevel<-as.factor(data$AngerLevel)
SliVal<-as.numeric(data$SliVal)
SliArou<-as.numeric(data$SliVal)

# ANALYSE 
data=data.frame( fSubject, fContext, fAngerLevel, SliArou, SliVal)

library(ez)
library(car)

anova_1=ezANOVA(data, dv=.(SliVal), wid=.(fSubject), within=.(fContext,fAngerLevel), type=2, detailed=TRUE, return_aov=TRUE)
print(anova_1)




