function [newsig] = fct_offset_ramp_on_amp(sig,duration,fs)

%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% E. Ponsot, May 2012                                                   
% 
% To  offset the amp of a signal with a linear ramp
% 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%



duration_onset=duration; 
nbptonset=floor(duration_onset*fs);
onset=linspace(0,1,nbptonset);
offset_profile=1-onset(:);
newsig=sig;
newsig(end-nbptonset+1:end)=newsig(end-nbptonset+1:end).*offset_profile;

