# set wd
setwd("/Users/liuni/IRCAM_SYNC/CREAM/_EXP/angry_pilot/final-fir-experiment-correct/exp_fir_data/all_results/")

experiment = "results_Mars2018.csv"
data = read.csv(experiment)
summary(data)


Subject<-data$NumSub
Context<-data$Context
AngerLevel<-data$AngerLevel
SliArou<-data$SliArou
SliVal<-data$SliVal


fSubject<-as.factor(data$NumSub)
#print(fSubject)
fContext<-as.factor(data$Context)
fAngerLevel<-as.factor(data$AngerLevel)
SliVal<-as.numeric(data$SliVal)
SliArou<-as.numeric(data$SliArou)

# ANALYSE 
data=data.frame( fSubject, fContext, fAngerLevel, SliArou, SliVal)

library(ez)
library(car)

anova_1=ezANOVA(data, dv=.(SliVal), wid=.(fSubject), within=.(fContext,fAngerLevel), type=2, detailed=TRUE, return_aov=TRUE)
print(anova_1)

anova_2=ezANOVA(data, dv=.(SliArou), wid=.(fSubject), within=.(fContext,fAngerLevel), type=2, detailed=TRUE, return_aov=TRUE)
print(anova_2)


